﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Text;

// Inspired by http://www.codeincodeblock.com/2013/12/basic-udp-socket-echo-client-server.html
namespace UdpEchoClient
{
    class Program
    {
        static void Main()
        {
            string request = "Hello world";
            byte[] datagram = Encoding.ASCII.GetBytes(request);
            //IPAddress ipAddress = IPAddress.Parse("192.168.5.39");
            IPAddress ipAddress = IPAddress.Loopback;
            int port = 7;
            IPEndPoint remoteEndPoint = new IPEndPoint(ipAddress, port);
            using (UdpClient client = new UdpClient())
            {
                client.Send(datagram, datagram.Length, remoteEndPoint);
                Console.WriteLine("message sent");
                byte[] datagramReceived = client.Receive(ref remoteEndPoint);

                string response = Encoding.ASCII.GetString(datagramReceived, 0, datagramReceived.Length);
                Console.WriteLine("Receives {0} bytes from {1} port {2} message {3}", datagramReceived.Length, remoteEndPoint.Address, remoteEndPoint.Port, response);
            }
        }
    }
}
